%global revision 301

Name:          rutgers-mobile-scripts
Version:       0.0.%{revision}
Release:       1%{?dist}
Summary:       PHP scripts that handle the Rutgers Mobile application's backend.
Group:         Applications/Daemons
License:       GNU
URL:           http://oss.rutgers.edu/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
Source0:       rutgers-mobile-scripts-%version.tar.gz

BuildArch: noarch
BuildRequires: php

%description
These PHP scripts handle Rutgers Mobile backend which includes
Nextbus API, Dining Menus and more. These scripts are PHP'ized
and then daemonized with nohup/bash.

%prep
%setup -q -n scripts

%build

%install
rm -rf $RPM_BUILD_ROOT

### Making master directory
%{__install} -m 755 -d  %{buildroot}/opt/ru_mobile

### Installing the master init script properly
%{__install} -Dp -m0755 ru_mobile.init %{buildroot}/etc/init.d/ru_mobile

### Installing the tarball into our directory now
cp -R . %{buildroot}/opt/ru_mobile/

### Setting permissions to the daemons correctly
chmod -R 755 %{buildroot}/opt/ru_mobile/daemons/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
/etc/init.d/ru_mobile
/opt/ru_mobile/

%changelog
* Sun Jul 31 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.301-1.ru
- Fixing init script

* Sun Jul 31 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.298-1.ru
- Adding in static files

* Sun Jul 31 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.293-1.ru
- matching rpm with svn revision number
- moving install to /opt
- making it as a noarch package

* Fri Jul 29 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 1.0-3.ru
- fixing .spec file

* Fri Jul 29 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 1.0-2.ru
- Atomic move operations placed in PHP files
- Fixed bugs in daemonizers
- Deleted config.php
- Fixing .spec file to include /var/ru_mobile

* Tue Jul 27 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 1.0-1.ru
- First initial package of the Rutgers Mobile script backend.
